/* input(86,17): run-time error CSS1036: Expected expression, found '$'
input(93,35): run-time error CSS1036: Expected expression, found '$'
input(93,35): run-time error CSS1019: Unexpected token, found '$'
input(93,35): run-time error CSS1042: Expected function, found '$'
input(93,35): run-time error CSS1062: Expected semicolon or closing curly-brace, found '$'
input(95,5): run-time error CSS1062: Expected semicolon or closing curly-brace, found '&' */
.success-animation {
    margin: 30px auto;
    margin-top: 10px;
}

.checkmark {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: block;
    stroke-width: 2;
    stroke: #4bb71b;
    stroke-miterlimit: 10;
    box-shadow: inset 0px 0px 0px #4bb71b;
    animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
    position: relative;
    top: 5px;
    right: 5px;
    margin: 0 auto;
}

.checkmark__circle {
    stroke-dasharray: 166;
    stroke-dashoffset: 166;
    stroke-width: 2;
    stroke-miterlimit: 10;
    stroke: #4bb71b;
    fill: #fff;
    animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.checkmark__check {
    transform-origin: 50% 50%;
    stroke-dasharray: 48;
    stroke-dashoffset: 48;
    animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke {
    100% {
        stroke-dashoffset: 0;
    }
}

@keyframes scale {
    0%, 100% {
        transform: none;
    }

    50% {
        transform: scale3d(1.1, 1.1, 1);
    }
}

@keyframes fill {
    100% {
        box-shadow: inset 0px 0px 0px 30px #4bb71b;
    }
}

.title-confirmation {
    padding:0px 20px;
    font-size: 1rem;
    text-align: center;
    color: #556175;
    padding-bottom: 3rem;
}

.completed-checkin {
    font-size: 2rem;
    text-align: center;
    font-weight: bold;
    color: #4bb71b;
    padding-top: 20px;
}

button.btn.btn-outline-secondary:active {
    box-shadow: none;
    border: 1px solid #e1e3e8 ;
    background-color: #e1e3e8 ;
    color:#000;
}

.button-box {
    position: relative;
    background: $white;
    width: 20%;
    height: 40px;
    border-radius: 20px;
    top: 30px;
    outline: 0;
    border: none;
    box-shadow: 2px 2px 10px rgba($dark, .5);
    transition: all .5s ease-in-out;
    &:hover

{
    background: darken($white, 5%);
    transform: scale(1.05);
    transition: all .3s ease-in-out;
}
}

.container-button {
    padding-bottom: 4rem;
    padding-top: 20px;
}

button.btn.btn-outline-secondary {
    background-color: #fdfdfd;
    border: var(--color-borde);
    color: #212529;
    font-weight: 500;
    border-radius: 7px !important;
    box-shadow: 3px 3px 5px 0px rgb(39 49 58 / 9%);
}

    button.btn.btn-outline-secondary:hover {
        background-color: hsl(240deg 4.76% 95.88%);
    }

    /*prueba java*/

div:where(.swal2-icon).swal2-success {
    border-color: #a5dc86;
    color: #a5dc86;
}

[class^=swal2] {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

div:where(.swal2-icon) {
    position: relative;
    box-sizing: content-box;
    justify-content: center;
    width: 5em;
    height: 5em;
    margin: 2.5em auto 0.6em;
    border: 0.25em solid rgba(0, 0, 0, 0);
    border-radius: 50%;
    border-color: #000;
    font-family: inherit;
    line-height: 5em;
    cursor: default;
    user-select: none;
}

    div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line][class$=left] {
        top: -0.4375em;
        left: -2.0635em;
        transform: rotate(-45deg);
        transform-origin: 3.75em 3.75em;
        border-radius: 7.5em 0 0 7.5em;
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line] {
        position: absolute;
        width: 3.75em;
        height: 7.5em;
        border-radius: 50%;
    }

    div:where(.swal2-icon).swal2-success.swal2-icon-show .swal2-success-line-tip {
        animation: swal2-animate-success-line-tip 1.75s;
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-line][class$=tip] {
        top: 2.875em;
        left: 0.8125em;
        width: 1.5625em;
        transform: rotate(45deg);
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-line] {
        display: block;
        position: absolute;
        z-index: 2;
        height: 0.3125em;
        border-radius: 0.125em;
        background-color: #a5dc86;
    }

    div:where(.swal2-icon).swal2-success.swal2-icon-show .swal2-success-line-long {
        animation: swal2-animate-success-line-long 1.75s;
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-line][class$=long] {
        top: 2.375em;
        right: 0.5em;
        width: 2.9375em;
        transform: rotate(-45deg);
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-line] {
        display: block;
        position: absolute;
        z-index: 2;
        height: 0.3125em;
        border-radius: 0.125em;
        background-color: #a5dc86;
    }

    div:where(.swal2-icon).swal2-success .swal2-success-ring {
        position: absolute;
        z-index: 2;
        top: -0.25em;
        left: -0.25em;
        box-sizing: content-box;
        width: 100%;
        height: 100%;
        border: 0.25em solid rgba(165, 220, 134, .3);
        border-radius: 50%;
    }

    div:where(.swal2-icon).swal2-success .swal2-success-fix {
        position: absolute;
        z-index: 1;
        top: 0.5em;
        left: 1.625em;
        width: 0.4375em;
        height: 5.625em;
        transform: rotate(-45deg);
    }

    div:where(.swal2-icon).swal2-success.swal2-icon-show .swal2-success-circular-line-right {
        animation: swal2-rotate-success-circular-line 4.25s ease-in;
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line][class$=right] {
        top: -0.6875em;
        left: 1.875em;
        transform: rotate(-45deg);
        transform-origin: 0 3.75em;
        border-radius: 0 7.5em 7.5em 0;
    }

    div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line] {
        position: absolute;
        width: 3.75em;
        height: 7.5em;
        border-radius: 50%;
    }

/*Boton verde formulario completo*/

.close-button {
    border: var(--color-borde);
    color: #ffffff;
    font-weight: 600;
    border-radius: 7px;
    box-shadow: 3px 3px 5px 0px rgb(39 49 58 / 9%);
    background-image: linear-gradient(0.44turn,rgb(75 183 27) 0%,#a5dc86 100%);
    height: 38px;
    padding: 0px 15px;
}

.close-button:hover {
    box-shadow: none;
    /*border: none;*/
    background-color: #4bb71b;
    color: #fdfdfd;
    font-weight: 600;
    background-image: none;
}

/*.close-button:focus {
    background-color: hsl(240deg 4.76% 95.88%);
    background-image: none;
    background-color: #a5dc86;
    border: none;
}*/

button.close-button:active {
    box-shadow: none;
    /* border: none; */
    background-color: #a5dc86;
    color: #fdfdfd;
    font-weight: 600;
    background-image: none;
}

.text-confirmation {
    font-size: 0.90rem;
    text-align: center;
    color: #556175;
    padding-bottom: 3rem;
}